resources:
  App\Entity\Media\MediaImage:
    operations:
      ApiPlatform\Metadata\GetCollection:
        filters: [ 'media.order_filter', 'media.search_filter' ]
        openapiContext:
          summary: Media Image - List.
          description: >
            Retrieves a list of Media Image
        normalizationContext:
          groups:
            - 'identifier:read'
            - 'time_trace:read'
            - 'media:read'

      ApiPlatform\Metadata\Get:
        openapiContext:
          summary: Media Image - Item.
          description: >
            Retrieves a item of Media Image
        normalizationContext:
          groups:
            - 'identifier:read'
            - 'time_trace:read'
            - 'media:read'

      ApiPlatform\Metadata\Post:
        inputFormats:
          json: [ 'application/json' ]
          multipart: [ 'multipart/form-data' ]
        openapiContext:
          summary: Media Image - Create.
          description: >
            create an item of Media Image
        normalizationContext:
          groups:
            - 'identifier:read'
            - 'time_trace:read'
            - 'media:read'
        denormalizationContext:
          groups:
            - 'media:write'

      ApiPlatform\Metadata\Put:
        inputFormats:
          json: [ 'application/json' ]
          multipart: [ 'multipart/form-data' ]
        openapiContext:
          summary: Media Image - Update.
          description: >
            update an item of Media Image
        normalizationContext:
          groups:
            - 'identifier:read'
            - 'time_trace:read'
            - 'media:read'
        denormalizationContext:
          groups:
            - 'media:write'

      ApiPlatform\Metadata\Delete:
        openapiContext:
          summary: Media Image - Delete.
          description: >
            delete an item of Media Image
